
µWeb - Feature #770

Feature # 739 (Closed): Documentation for alpha release of µWeb

uWeb Documentation - Model

2012-04-17 12:07 - Elmer de Looff

Status: Closed Start date: 2012-04-17

Priority: Normal Due date:  

Assignee: Jan Klopper % Done: 100%

Category: Model Estimated time: 0.00 hour

Target version: µWeb alpha release Spent time: 8.00 hours

Description

The model documentation is lagging behind reality, and needs freshing up. MongoDB support has been added, compound keys are

supported (with a few caveats) and other automatic lookup features are also not explained.

History

#1 - 2012-05-16 20:53 - Elmer de Looff

- Status changed from New to Resolved

- Assignee changed from Elmer de Looff to Jan Klopper

- % Done changed from 0 to 70

Basic (My)SQL record has been fully documented and updated to the current code. VersionedRecord and MongoRecord still need doing.

#2 - 2012-05-17 09:20 - Jan Klopper

looks good, can we get the versioned record today?

#3 - 2012-05-17 12:06 - Jan Klopper

- Status changed from Resolved to Closed

- % Done changed from 70 to 100

Ok, done
https://bugs.underdark.nl/projects/uweb/wiki/Model#VersionedRecord
https://bugs.underdark.nl/projects/uweb/wiki/Model#MongoRecord
